{% extends 'base_layout.html' %}

{% block content %}
    <div class="jumbotron">
        <div class="text-center">
            <h1>Enjoy the collections of Books!</h1>
        </div>
    </div>

    <div class="row">
        {% if user.is_authenticated %}
            <a href="{% url 'books:create' %}" class="btn btn-success btn-block">Add new book</a>
        {% endif %}
    </div>

    <div class="row">
        <div class="card-deck">
            {% if books and books.count > 0 %}
                {% for book in books %}
                <div class="card card-3" 
                     style="min-width: 18rem; max-width: 30%; margin-top: 10px;">
                    <div class="card-header">
                        <h5>{{ book.title }}</h5>
                    </div>
                    <div style="height: 410px;">
                        <img class="card-img-top imageThumbnail"
                             src="{{ book.cover.url }}"
                             alt="{{ book.title }}"
                             style="max-height: 410px;">
                    </div>
                    <div class="card-footer text-center">
                        <a class="btn btn-primary" href="{% url 'books:details' id=book.id %}">View</a>
                        {% if user.is_authenticated %}
                            <a class="btn btn-primary" href="{% url 'books:edit' id=book.id %}">Edit</a>
                            <a class="btn btn-danger" href="{% url 'books:delete' id=book.id %}">Delete</a>
                        {% endif %}
                    </div>
                </div>
                {% endfor %}
            {% else %}
                <p>Sorry, there is no book to display currently</p>
            {% endif %}
        </div>
    </div>
{% endblock %}